import { FfmpegCommand } from 'fluent-ffmpeg';
import { AvailableEncoders, EncoderOptions } from '../../../shared/models';
declare function addDefaultEncoderGlobalParams(command: FfmpegCommand): void;
declare function addDefaultEncoderParams(options: {
    command: FfmpegCommand;
    encoder: 'libx264' | string;
    fps: number;
    streamNum?: number;
}): void;
declare function presetVOD(options: {
    command: FfmpegCommand;
    input: string;
    availableEncoders: AvailableEncoders;
    profile: string;
    canCopyAudio: boolean;
    canCopyVideo: boolean;
    resolution: number;
    fps: number;
    scaleFilterValue?: string;
}): Promise<FfmpegCommand>;
declare function presetCopy(command: FfmpegCommand): FfmpegCommand;
declare function presetOnlyAudio(command: FfmpegCommand): FfmpegCommand;
declare function applyEncoderOptions(command: FfmpegCommand, options: EncoderOptions): FfmpegCommand;
export { presetVOD, presetCopy, presetOnlyAudio, addDefaultEncoderGlobalParams, addDefaultEncoderParams, applyEncoderOptions };
//# sourceMappingURL=ffmpeg-presets.d.ts.map