declare const consoleLoggerFormat: import("logform").Format;
declare const jsonLoggerFormat: import("logform").Format;
declare const timestampFormatter: import("logform").Format;
declare const labelFormatter: (suffix?: string) => import("logform").Format;
declare const logger: import("winston").Logger;
declare function buildLogger(labelSuffix?: string): import("winston").Logger;
declare const bunyanLogger: {
    level: () => void;
    trace: (...params: any[]) => void;
    debug: (...params: any[]) => void;
    info: (...params: any[]) => void;
    warn: (...params: any[]) => void;
    error: (...params: any[]) => void;
    fatal: (...params: any[]) => void;
};
declare type LoggerTagsFn = (...tags: string[]) => {
    tags: string[];
};
declare function loggerTagsFactory(...defaultTags: string[]): LoggerTagsFn;
declare function mtimeSortFilesDesc(files: string[], basePath: string): Promise<{
    file: string;
    mtime: number;
}[]>;
export { LoggerTagsFn, buildLogger, timestampFormatter, labelFormatter, consoleLoggerFormat, jsonLoggerFormat, mtimeSortFilesDesc, logger, loggerTagsFactory, bunyanLogger };
//# sourceMappingURL=logger.d.ts.map