"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
const tslib_1 = require("tslib");
function up(utils) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { transaction } = utils;
        {
            const query = `
    CREATE TABLE IF NOT EXISTS "localVideoViewer" (
      "id" serial,
      "startDate" timestamp with time zone NOT NULL,
      "endDate" timestamp with time zone NOT NULL,
      "watchTime" integer NOT NULL,
      "country" varchar(255),
      "uuid" uuid NOT NULL,
      "url" varchar(255) NOT NULL,
      "videoId" integer NOT NULL REFERENCES "video" ("id") ON DELETE CASCADE ON UPDATE CASCADE,
      "createdAt" timestamp with time zone NOT NULL,
      PRIMARY KEY ("id")
    );
    `;
            yield utils.sequelize.query(query, { transaction });
        }
        {
            const query = `
    CREATE TABLE IF NOT EXISTS "localVideoViewerWatchSection" (
      "id" serial,
      "watchStart" integer NOT NULL,
      "watchEnd" integer NOT NULL,
      "localVideoViewerId" integer NOT NULL REFERENCES "localVideoViewer" ("id") ON DELETE CASCADE ON UPDATE CASCADE,
      "createdAt" timestamp with time zone NOT NULL,
      PRIMARY KEY ("id")
    );
    `;
            yield utils.sequelize.query(query, { transaction });
        }
    });
}
exports.up = up;
function down() {
    throw new Error('Not implemented.');
}
exports.down = down;
//# sourceMappingURL=0705-local-video-viewers.js.map