import express from 'express';
declare class ClientHtml {
    private static htmlCache;
    static invalidCache(): void;
    static getDefaultHTMLPage(req: express.Request, res: express.Response, paramLang?: string): Promise<string>;
    static getWatchHTMLPage(videoIdArg: string, req: express.Request, res: express.Response): Promise<string>;
    static getWatchPlaylistHTMLPage(videoPlaylistIdArg: string, req: express.Request, res: express.Response): Promise<string>;
    static getAccountHTMLPage(nameWithHost: string, req: express.Request, res: express.Response): Promise<string>;
    static getVideoChannelHTMLPage(nameWithHost: string, req: express.Request, res: express.Response): Promise<string>;
    static getActorHTMLPage(nameWithHost: string, req: express.Request, res: express.Response): Promise<string>;
    static getEmbedHTML(): Promise<string>;
    private static getAccountOrChannelHTMLPage;
    private static getIndexHTML;
    private static getIndexPath;
    private static getEmbedPath;
    private static addManifestContentHash;
    private static addFaviconContentHash;
    private static addLogoContentHash;
    private static addTitleTag;
    private static addDescriptionTag;
    private static addCustomCSS;
    private static addServerConfig;
    private static addAsyncPluginCSS;
    private static generateOpenGraphMetaTags;
    private static generateStandardMetaTags;
    private static generateTwitterCardMetaTags;
    private static generateSchemaTags;
    private static addTags;
}
declare function sendHTML(html: string, res: express.Response, localizedHTML?: boolean): express.Response<any>;
declare function serveIndexHTML(req: express.Request, res: express.Response): Promise<express.Response<any>>;
export { ClientHtml, sendHTML, serveIndexHTML };
//# sourceMappingURL=client-html.d.ts.map