"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoIPUpdateScheduler = void 0;
const geo_ip_1 = require("../../helpers/geo-ip");
const constants_1 = require("../../initializers/constants");
const abstract_scheduler_1 = require("./abstract-scheduler");
class GeoIPUpdateScheduler extends abstract_scheduler_1.AbstractScheduler {
    constructor() {
        super();
        this.schedulerIntervalMs = constants_1.SCHEDULER_INTERVALS_MS.YOUTUBE_DL_UPDATE;
    }
    internalExecute() {
        return geo_ip_1.GeoIP.Instance.updateDatabase();
    }
    static get Instance() {
        return this.instance || (this.instance = new this());
    }
}
exports.GeoIPUpdateScheduler = GeoIPUpdateScheduler;
//# sourceMappingURL=geo-ip-update-scheduler.js.map