import { Job } from 'bull';
import { MVideo, MVideoFile, MVideoFullLight } from '../../types/models';
import { VideoResolution } from '../../../shared/models/videos';
import { VideoFileModel } from '../../models/video/video-file';
declare function optimizeOriginalVideofile(video: MVideoFullLight, inputVideoFile: MVideoFile, job?: Job): Promise<{
    transcodeType: "video" | "quick-transcode";
    videoFile: MVideoFile;
}>;
declare function transcodeNewWebTorrentResolution(video: MVideoFullLight, resolution: VideoResolution, isPortrait: boolean, job: Job): Promise<{
    video: MVideoFullLight;
    videoFile: MVideoFile;
}>;
declare function mergeAudioVideofile(video: MVideoFullLight, resolution: VideoResolution, job: Job): Promise<{
    video: MVideoFullLight;
    videoFile: MVideoFile;
}>;
declare function generateHlsPlaylistResolutionFromTS(options: {
    video: MVideo;
    concatenatedTsFilePath: string;
    resolution: VideoResolution;
    isPortraitMode: boolean;
    isAAC: boolean;
}): Promise<{
    resolutionPlaylistPath: string;
    videoFile: VideoFileModel;
}>;
declare function generateHlsPlaylistResolution(options: {
    video: MVideo;
    videoInputPath: string;
    resolution: VideoResolution;
    copyCodecs: boolean;
    isPortraitMode: boolean;
    job?: Job;
}): Promise<{
    resolutionPlaylistPath: string;
    videoFile: VideoFileModel;
}>;
export { generateHlsPlaylistResolution, generateHlsPlaylistResolutionFromTS, optimizeOriginalVideofile, transcodeNewWebTorrentResolution, mergeAudioVideofile };
//# sourceMappingURL=transcoding.d.ts.map