import express from 'express';
import { ValidationChain } from 'express-validator';
import { ExpressPromiseHandler } from '../../../types/express-handler';
declare const videosAddLegacyValidator: (ValidationChain | ExpressPromiseHandler)[];
declare const videosAddResumableValidator: ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void | express.Response<any>>)[];
declare const videosAddResumableInitValidator: (ValidationChain | ExpressPromiseHandler)[];
declare const videosUpdateValidator: (ValidationChain | ExpressPromiseHandler)[];
declare function checkVideoFollowConstraints(req: express.Request, res: express.Response, next: express.NextFunction): Promise<void>;
declare const videosCustomGetValidator: (fetchType: 'for-api' | 'all' | 'only-video' | 'only-immutable-attributes', authenticateInQuery?: boolean) => (ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const videosGetValidator: (ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const videosDownloadValidator: (ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const videoFileMetadataGetValidator: (ValidationChain | ExpressPromiseHandler)[];
declare const videosRemoveValidator: (ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => Promise<void>))[];
declare const videosOverviewValidator: (ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => void))[];
declare function getCommonVideoEditAttributes(): (ValidationChain | ExpressPromiseHandler)[];
declare const commonVideosFiltersValidator: (ValidationChain | ((req: express.Request, res: express.Response, next: express.NextFunction) => void))[];
export { videosAddLegacyValidator, videosAddResumableValidator, videosAddResumableInitValidator, videosUpdateValidator, videosGetValidator, videoFileMetadataGetValidator, videosDownloadValidator, checkVideoFollowConstraints, videosCustomGetValidator, videosRemoveValidator, getCommonVideoEditAttributes, commonVideosFiltersValidator, videosOverviewValidator };
export declare function isVideoAccepted(req: express.Request, res: express.Response, videoFile: express.VideoUploadFile): Promise<boolean>;
//# sourceMappingURL=videos.d.ts.map