import { Model } from 'sequelize-typescript';
import { MAbuseMessage, MAbuseMessageFormattable } from '../../types/models';
import { AbuseMessage } from '../../../shared/models';
import { AttributesOnly } from '../../../shared/typescript-utils';
import { AccountModel } from '../account/account';
import { AbuseModel } from './abuse';
export declare class AbuseMessageModel extends Model<Partial<AttributesOnly<AbuseMessageModel>>> {
    message: string;
    byModerator: boolean;
    createdAt: Date;
    updatedAt: Date;
    accountId: number;
    Account: AccountModel;
    abuseId: number;
    Abuse: AbuseModel;
    static listForApi(abuseId: number): Promise<{
        total: number;
        data: AbuseMessageModel[];
    }>;
    static loadByIdAndAbuseId(messageId: number, abuseId: number): Promise<MAbuseMessage>;
    toFormattedJSON(this: MAbuseMessageFormattable): AbuseMessage;
}
//# sourceMappingURL=abuse-message.d.ts.map