"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
require("mocha");
const supertest_1 = tslib_1.__importDefault(require("supertest"));
const server_commands_1 = require("../../../../shared/server-commands");
describe('Start and stop server without web client routes', function () {
    let server;
    before(function () {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            this.timeout(30000);
            server = yield (0, server_commands_1.createSingleServer)(1, {}, { peertubeArgs: ['--no-client'] });
        });
    });
    it('Should fail getting the client', function () {
        const req = (0, supertest_1.default)(server.url)
            .get('/');
        return req.expect(404);
    });
    after(function () {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            yield (0, server_commands_1.cleanupTests)([server]);
        });
    });
});
//# sourceMappingURL=no-client.js.map