"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
require("mocha");
const chai_1 = require("chai");
const dns_1 = require("../../helpers/dns");
describe('DNS helpers', function () {
    it('Should correctly check unicast IPs', function () {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            (0, chai_1.expect)(yield (0, dns_1.isResolvingToUnicastOnly)('cpy.re')).to.be.true;
            (0, chai_1.expect)(yield (0, dns_1.isResolvingToUnicastOnly)('framasoft.org')).to.be.true;
            (0, chai_1.expect)(yield (0, dns_1.isResolvingToUnicastOnly)('8.8.8.8')).to.be.true;
            (0, chai_1.expect)(yield (0, dns_1.isResolvingToUnicastOnly)('127.0.0.1')).to.be.false;
            (0, chai_1.expect)(yield (0, dns_1.isResolvingToUnicastOnly)('127.0.0.1.cpy.re')).to.be.false;
        });
    });
});
//# sourceMappingURL=dns.js.map