"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("mocha");
const markdown_1 = require("../../helpers/markdown");
const chai_1 = require("chai");
describe('Markdown helpers', function () {
    describe('Plain text', function () {
        it('Should convert a list to plain text', function () {
            const result = (0, markdown_1.mdToOneLinePlainText)(`* list 1
* list 2
* list 3`);
            (0, chai_1.expect)(result).to.equal('list 1, list 2, list 3');
        });
        it('Should convert a list with indentation to plain text', function () {
            const result = (0, markdown_1.mdToOneLinePlainText)(`Hello:
  * list 1
  * list 2
  * list 3`);
            (0, chai_1.expect)(result).to.equal('Hello: list 1, list 2, list 3');
        });
        it('Should convert HTML to plain text', function () {
            const result = (0, markdown_1.mdToOneLinePlainText)(`**Hello** <strong>coucou</strong>`);
            (0, chai_1.expect)(result).to.equal('Hello coucou');
        });
        it('Should convert tags to plain text', function () {
            const result = (0, markdown_1.mdToOneLinePlainText)(`#déconversion\n#newage\n#histoire`);
            (0, chai_1.expect)(result).to.equal('#déconversion #newage #histoire');
        });
    });
});
//# sourceMappingURL=markdown.js.map