import { HttpStatusCode, VideoCaption, VideoDetails } from '../../../shared/models';
import { PeerTubeServer, VideoEdit } from '../../../shared/server-commands';
declare function completeVideoCheck(server: PeerTubeServer, video: any, attributes: {
    name: string;
    category: number;
    licence: number;
    language: string;
    nsfw: boolean;
    commentsEnabled: boolean;
    downloadEnabled: boolean;
    description: string;
    publishedAt?: string;
    support: string;
    originallyPublishedAt?: string;
    account: {
        name: string;
        host: string;
    };
    isLocal: boolean;
    tags: string[];
    privacy: number;
    likes?: number;
    dislikes?: number;
    duration: number;
    channel: {
        displayName: string;
        name: string;
        description: string;
        isLocal: boolean;
    };
    fixture: string;
    files: {
        resolution: number;
        size: number;
    }[];
    thumbnailfile?: string;
    previewfile?: string;
}): Promise<void>;
declare function checkVideoFilesWereRemoved(options: {
    server: PeerTubeServer;
    video: VideoDetails;
    captions?: VideoCaption[];
    onlyVideoFiles?: boolean;
}): Promise<void>;
declare function saveVideoInServers(servers: PeerTubeServer[], uuid: string): Promise<void>;
declare function checkUploadVideoParam(server: PeerTubeServer, token: string, attributes: Partial<VideoEdit>, expectedStatus?: HttpStatusCode, mode?: 'legacy' | 'resumable'): Promise<import("../../../shared/models").VideoCreateResult>;
declare function uploadRandomVideoOnServers(servers: PeerTubeServer[], serverNumber: number, additionalParams?: VideoEdit & {
    prefixName?: string;
}): Promise<{
    name: string;
    id: number;
    uuid: string;
    shortUUID: string;
}>;
declare function getAllFiles(video: VideoDetails): import("../../../shared/models").VideoFile[];
export { completeVideoCheck, checkUploadVideoParam, uploadRandomVideoOnServers, checkVideoFilesWereRemoved, saveVideoInServers, getAllFiles };
//# sourceMappingURL=videos.d.ts.map