export declare type VideoRedundancyStrategy = 'most-views' | 'trending' | 'recently-added';
export declare type VideoRedundancyStrategyWithManual = VideoRedundancyStrategy | 'manual';
export declare type MostViewsRedundancyStrategy = {
    strategy: 'most-views';
    size: number;
    minLifetime: number;
};
export declare type TrendingRedundancyStrategy = {
    strategy: 'trending';
    size: number;
    minLifetime: number;
};
export declare type RecentlyAddedStrategy = {
    strategy: 'recently-added';
    size: number;
    minViews: number;
    minLifetime: number;
};
export declare type VideosRedundancyStrategy = MostViewsRedundancyStrategy | TrendingRedundancyStrategy | RecentlyAddedStrategy;
//# sourceMappingURL=videos-redundancy-strategy.model.d.ts.map