import { AbstractCommand } from '../shared';
export declare class SQLCommand extends AbstractCommand {
    private sequelize;
    deleteAll(table: string): Promise<[unknown[], unknown]>;
    getCount(table: string): Promise<number>;
    setActorField(to: string, field: string, value: string): Promise<[unknown[], unknown]>;
    setVideoField(uuid: string, field: string, value: string): Promise<[unknown[], unknown]>;
    setPlaylistField(uuid: string, field: string, value: string): Promise<[unknown[], unknown]>;
    countVideoViewsOf(uuid: string): Promise<number>;
    getActorImage(filename: string): Promise<any>;
    selectQuery(query: string): Promise<any[]>;
    updateQuery(query: string): Promise<[undefined, number]>;
    setPluginField(pluginName: string, field: string, value: string): Promise<[unknown[], unknown]>;
    setPluginVersion(pluginName: string, newVersion: string): Promise<[unknown[], unknown]>;
    setPluginLatestVersion(pluginName: string, newVersion: string): Promise<[unknown[], unknown]>;
    setActorFollowScores(newScore: number): Promise<[unknown[], unknown]>;
    setTokenField(accessToken: string, field: string, value: string): Promise<[unknown[], unknown]>;
    cleanup(): Promise<void>;
    private getSequelize;
}
//# sourceMappingURL=sql-command.d.ts.map