import { AbstractCommand } from '../shared';
export declare class ObjectStorageCommand extends AbstractCommand {
    static readonly DEFAULT_PLAYLIST_BUCKET = "streaming-playlists";
    static readonly DEFAULT_WEBTORRENT_BUCKET = "videos";
    static getDefaultConfig(): {
        object_storage: {
            enabled: boolean;
            endpoint: string;
            region: string;
            credentials: {
                access_key_id: string;
                secret_access_key: string;
            };
            streaming_playlists: {
                bucket_name: string;
            };
            videos: {
                bucket_name: string;
            };
        };
    };
    static getCredentialsConfig(): {
        access_key_id: string;
        secret_access_key: string;
    };
    static getEndpointHost(): string;
    static getRegion(): string;
    static getWebTorrentBaseUrl(): string;
    static getPlaylistBaseUrl(): string;
    static prepareDefaultBuckets(): Promise<void>;
    static createBucket(name: string): Promise<void>;
}
//# sourceMappingURL=object-storage-command.d.ts.map