/// <reference types="supertest" />
import { ResultList, VideoComment, VideoCommentThreads, VideoCommentThreadTree } from '../../models';
import { AbstractCommand, OverrideCommandOptions } from '../shared';
export declare class CommentsCommand extends AbstractCommand {
    private lastVideoId;
    private lastThreadId;
    private lastReplyId;
    listForAdmin(options?: OverrideCommandOptions & {
        start?: number;
        count?: number;
        sort?: string;
        isLocal?: boolean;
        search?: string;
        searchAccount?: string;
        searchVideo?: string;
    }): Promise<ResultList<VideoComment>>;
    listThreads(options: OverrideCommandOptions & {
        videoId: number | string;
        start?: number;
        count?: number;
        sort?: string;
    }): Promise<VideoCommentThreads>;
    getThread(options: OverrideCommandOptions & {
        videoId: number | string;
        threadId: number;
    }): Promise<VideoCommentThreadTree>;
    createThread(options: OverrideCommandOptions & {
        videoId: number | string;
        text: string;
    }): Promise<VideoComment>;
    addReply(options: OverrideCommandOptions & {
        videoId: number | string;
        toCommentId: number;
        text: string;
    }): Promise<VideoComment>;
    addReplyToLastReply(options: OverrideCommandOptions & {
        text: string;
    }): Promise<VideoComment>;
    addReplyToLastThread(options: OverrideCommandOptions & {
        text: string;
    }): Promise<VideoComment>;
    findCommentId(options: OverrideCommandOptions & {
        videoId: number | string;
        text: string;
    }): Promise<number>;
    delete(options: OverrideCommandOptions & {
        videoId: number | string;
        commentId: number;
    }): import("supertest").Test;
}
//# sourceMappingURL=comments-command.d.ts.map