import ffmpeg, { FfmpegCommand } from 'fluent-ffmpeg';
import { PeerTubeServer } from '../server/server';
import { VideoDetails } from '../../models';
declare function sendRTMPStream(options: {
    rtmpBaseUrl: string;
    streamKey: string;
    fixtureName?: string;
    copyCodecs?: boolean;
}): ffmpeg.FfmpegCommand;
declare function waitFfmpegUntilError(command: FfmpegCommand, successAfterMS?: number): Promise<void>;
declare function testFfmpegStreamError(command: FfmpegCommand, shouldHaveError: boolean): Promise<void>;
declare function stopFfmpeg(command: FfmpegCommand): Promise<void>;
declare function waitUntilLivePublishedOnAllServers(servers: PeerTubeServer[], videoId: string): Promise<void>;
declare function waitUntilLiveWaitingOnAllServers(servers: PeerTubeServer[], videoId: string): Promise<void>;
declare function waitUntilLiveReplacedByReplayOnAllServers(servers: PeerTubeServer[], videoId: string): Promise<void>;
declare function findExternalSavedVideo(server: PeerTubeServer, liveDetails: VideoDetails): Promise<import("../../models").Video>;
export { sendRTMPStream, waitFfmpegUntilError, testFfmpegStreamError, stopFfmpeg, waitUntilLivePublishedOnAllServers, waitUntilLiveReplacedByReplayOnAllServers, waitUntilLiveWaitingOnAllServers, findExternalSavedVideo };
//# sourceMappingURL=live.d.ts.map